Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.util
Class IO

    java.lang.Object
      org.openxri.util.IO

    public class IO

extends java.lang.Object

Provides helper methods to create a HttpURLConnection from a URI and properties associated with how to access the URI.

Author:
  =chetan

Constructor Summary
`IO()`

Method Summary
`static java.net.HttpURLConnection` | `getConnectionToURI(java.net.URI oURI, java.lang.String sMethod, java.util.Map oReqProperties, javax.net.ssl.SSLSocketFactory oSSLFactory, boolean bFollowRedirects, boolean bUseCaches)` Gets the connection to a URI.
`static java.net.HttpURLConnection` | `getConnectionToURI(java.net.URI oURI, java.lang.String sMethod, java.util.Map oReqProperties, javax.net.ssl.SSLSocketFactory oSSLFactory, int nFollowRedirects, boolean bUseCaches)` Gets the connection to a URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IO

    public IO()

Method Detail

### getConnectionToURI

    public static java.net.HttpURLConnection getConnectionToURI(java.net.URI oURI,
                                                                java.lang.String sMethod,
                                                                java.util.Map oReqProperties,
                                                                javax.net.ssl.SSLSocketFactory oSSLFactory,
                                                                boolean bFollowRedirects,
                                                                boolean bUseCaches)
                                                         throws java.io.IOException

  Gets the connection to a URI.

  Parameters:
    `oURI` - The URI to access
    `sMethod` - - The HTTP Method (Defaults to "GET")
    `oReqProperties` - The request properties to set
    `oSSLFactory` - The SSL Socket Factory to use if necessary
    `bFollowRedirects` - Whether or not to follow unlimited redirects
    `bUseCaches` - Whether or not to use the HTTP cache
  Returns:
    the HttpURLConnection The connection object after calling connect()
  Throws:
    `java.io.IOException`

### getConnectionToURI

    public static java.net.HttpURLConnection getConnectionToURI(java.net.URI oURI,
                                                                java.lang.String sMethod,
                                                                java.util.Map oReqProperties,
                                                                javax.net.ssl.SSLSocketFactory oSSLFactory,
                                                                int nFollowRedirects,
                                                                boolean bUseCaches)
                                                         throws java.io.IOException

  Gets the connection to a URI.

  Parameters:
    `oURI` - The URI to access
    `sMethod` - - The HTTP Method (Defaults to "GET")
    `oReqProperties` - The request properties to set
    `oSSLFactory` - The SSL Socket Factory to use if necessary
    `nFollowRedirects` - The maximum number of redirects to follow
    `bUseCaches` - Whether or not to use the HTTP cache
  Returns:
    the HttpURLConnection The connection object after calling connect()
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.